### Constructor

# Gio FileIcon new

#### Declaration

    GIcon*
    g_file_icon_new (
      GFile* file
    )

#### Description

Creates a new icon for a file.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `GFileIcon`

A `GIcon` for the given `file`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.